{*******************************************************}
{                                                       }
{         Vladimir Gaitanoff HyperBase                  }
{                                                       }
{         Message constants                             }
{                                                       }
{         Copyright (c) 1997,99 Vladimir Gaitanoff      }
{                                                       }
{*******************************************************}

{$I HB.INC}
{$D-,L-}

unit hbConsts;

interface

resourcestring
  SNA                   = 'Operation not applicable';
  SNIA                  = 'No information available';
  SNotSupported         = 'Capability not supported';
  SNIY                  = 'Not implemented yet';
  SInvalidFieldType     = 'Invalid field type';
  SIndexNameReq         = 'Index name required';
  SNoSuchIndex          = 'Index does not exist';
  SActiveIndex          = 'Index is being used to order table';
  SIndexReadOnly        = 'Index is read only';
  SNotIndexed           = 'Table is not indexed';
  SNameNotUnique        = 'Name not unique in this context';
  SNoSuchFilter         = 'Filter handle is invalid';
  SReadOnlyFld          = 'Trying to modify read-only field';
  STableReadOnly        = 'Table is read only';
  SNoCurrRec            = 'No current record';
  SRecNotFound          = 'Record was not found';
  SInvalidModifyReq     = 'Invalid modify request';
  SBOF                  = 'Beginning of table';
  SEOF                  = 'End of table';
  SInvalidDataPacket    = 'Invalid data packet';
  SKeyViol              = 'Key violation';
  SReqdErr              = 'Field value required';
  SReqOptParam          = 'Required optional parameter missing';
  SInvalidOptParam      = 'Optional param out-of-range or bad';
  SConstraintFailed     = 'Record or field constraint failed';
  SInvalidLinkExpr      = 'Invalid linked cursor expression';

  SDeltaIsEmpty         = 'Delta is empty';
  SNothingToUndo        = 'Nothing to undo';
  SNoMetaData           = 'Datapacket contains no meta data';
  SCannotAppend         = 'Trying to append data to a non-partial';
  SDatapacketMismatch   = 'Mismatch in datapacket';
  SAborted              = 'Operation was aborted';
  SCancelled            = 'Operation was cancelled';
  SNewVersionReq        = 'Newer version required';
  SBlobNotFetched       = 'Blob has not been fetched';
  SDetailsNotFetched    = 'Details has not been fetched';
  SNoMasterRecord       = 'No corresponding master record found';
  SLinkFieldsNotUnique  = 'Linkfields must be unique';
  SFlyAwayWrongOrder    = 'Special case: wrong order of updates for fly-away';
  SNoCascadeUpdates     = 'Cascaded updates is not enabled';

  SOSEInvMem            = 'Invalid memory block address';
  SOSENoMem             = 'Not enough memory';

  SNoXMLDataType        = 'Data type not supported in XML';

  SHBClient             = 'HBClient';
  SDBClient             = 'DBClient';
  SMidas                = 'Midas';
  
  SHBClientDll          = 'HBClient.dll';
  SDBClientDll          = 'DBClient.dll';
  SMidasDll             = 'Midas.dll';

const
  SHBCaption              = 'HyperBase';

  SHBLicense              = 'HyperBase 3.5'#13#10 +
                            'Copyright c by Vladimir Gaitanoff, 1997-2000'#13#10#13#10 +
                            'This is unregistered version for evaluation use only.'#13#10 +
                            'You can register HyperBase at http://www.vglib.com.'#13#10;

implementation

end.

