{*******************************************************}
{                                                       }
{         Vladimir Gaitanoff HyperBase                  }
{                                                       }
{         CLSIDs definitions                            }
{                                                       }
{         Copyright (c) 1997,99 Vladimir Gaitanoff      }
{                                                       }
{*******************************************************}

{$I HB.INC}
{$D-,L-}

unit hbCLSID;

interface

const

{ HyperBase-compatible classes }

  CLSID_HBDSBase:     TGUID  = '{9C150A61-36E0-11D3-B5C1-4854E828D2EB}';
  CLSID_HBDSCursor:   TGUID  = '{9C150A63-36E0-11D3-B5C1-4854E828D2EB}';
  CLSID_HBDSWriter:   TGUID  = '{9C150A65-36E0-11D3-B5C1-4854E828D2EB}';
  CLSID_HBDSReader:   TGUID  = '{9C150A67-36E0-11D3-B5C1-4854E828D2EB}';

{ DBClient.DLL-compatible classes }

{ Obsolete CLSIDs }

  CLSID_DBDSBase1:   TGUID  = '{9E8D2F81-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSCursor1: TGUID  = '{9E8D2F83-591C-11D0-BF52-0020AF32BD64}';

{ Streaming }

  CLSID_DBDSWriter:  TGUID  = '{9E8D2F85-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSReader:  TGUID  = '{9E8D2F87-591C-11D0-BF52-0020AF32BD64}';

{ Delphi 4 }

  CLSID_DBDSBase2:   TGUID  = '{9E8D2F91-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSCursor2: TGUID  = '{9E8D2F93-591C-11D0-BF52-0020AF32BD64}';

  CLSID_DBDSBase:    TGUID  = '{9E8D2F91-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSCursor:  TGUID  = '{9E8D2F93-591C-11D0-BF52-0020AF32BD64}';

{ Delphi 5 }
  CLSID_DBDSBase5:   TGUID  = '{9E8D2FA1-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSCursor5: TGUID  = '{9E8D2FA3-591C-11D0-BF52-0020AF32BD64}';
  CLSID_DBDSWriter5:  TGUID = '{9E8D2FA5-591C-11D0-BF52-0020AF32BD64}';

implementation

end.
